AladiaDocs
Api referenceOrganizationsMembers

Update the resources of a member

Update resources

PATCH
/v2/organizations/{organizationId}/members/{userId}/resources

Update resources

AuthorizationBearer <token>

In: header

Path Parameters

organizationId*string
userId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/v2/organizations/string/members/string/resources" \  -H "Content-Type: application/json" \  -d '{    "role": "organization-owner",    "secondaryRoles": [      "organization-billing-manager"    ],    "spaces": [      {        "id": "string",        "role": "space-supervisor"      }    ],    "subjectsAreas": [      {        "id": "string",        "role": "area-owner"      }    ],    "courses": [      {        "id": "string",        "role": "course-observer",        "spaceId": "string",        "cycleId": "string"      }    ],    "calendars": [      {        "id": "string",        "role": "calendar-owner"      }    ],    "bookLibraries": [      {        "id": "string",        "role": "library-owner"      }    ],    "licenses": [      {        "id": "string",        "role": "course-observer",        "spaceId": "string",        "cycleId": "string"      }    ]  }'
{}